<div class="panel panel-{if $iArchive.info}default{else}danger{/if}" id="panel_archive_{$i}">
    <div class="panel-heading"
        style="cursor:pointer;" 
          data-toggle="collapse" 
          data-parent="#accordion" 
          href="#archive_file_{$i}">
      <span class="file_name">{$iArchive.name}</span>    
      
      <div class="pull-right">
        {if $iArchive.info}
          <button class="btn btn-success btn-xs run_dump">Загрузить</button>
        {/if}
        <button class="btn btn-danger btn-xs droped_files"><i class="fa fa-times"></i></button>
      </div>
      
    </div>
    
    <div id="archive_file_{$i}"" class="panel-collapse collapse" aria-expanded="false" style="height: 0px;">
        <div class="panel-body">
          
          {if $iArchive.info}
          
          <table class="table">
            <tbody><tr>
              <td>Выгрузка за период</td>
              <td>
                <i class="fa fa-calendar"></i> {$iArchive.info->day_start}-{$iArchive.info->month_start}-{$iArchive.info->year_start} &nbsp;&nbsp;&nbsp;
                <i class="fa fa-calendar"></i> {$iArchive.info->day_stop}-{$iArchive.info->month_stop}-{$iArchive.info->year_stop}
              </td>
            </tr>
            <tr>
              <td>Пользователь</td>
              <td>
                <i class="text-primary fa fa-user"></i>
                <a href="">
                  {$iArchive.info->user_login}
                </a>
              </td>
            </tr>
            <tr>
              <td>Дата создания</td>
              <td>
                {$iArchive.info->date_create|date_format:"%Y-%m-%d %H:%I:%S (%A)"}
              </td>
            </tr>
            <tr>
              <td>Описание</td>
              <td>
                <pre>{$iArchive.info->description|default:"--"}</pre>
              </td>
            </tr>
          </tbody></table>
          
          
          <div class="text-center">
            <a href="/archive/{$iArchive.name}">
              <button class="btn btn-primary">
                <i class="fa  fa-download"></i> Скачать
              </button>
            </a>
          </div>
          
        {else}
        
          <div class="alert alert-danger">Не верный архив <b>
            {if $iArchive.error == 'invalid year_start'}
              Не верно задан год начала
            {elseif $iArchive.error == 'invalid year_stop'}
              Не верно задан год конца
            {elseif $iArchive.error == 'invalid month_start'}
              Не верно задан месяц начала
            {elseif $iArchive.error == 'invalid month_stop'}
              Не верно задан месяц конца
            {elseif $iArchive.error == 'invalid day_start'}
              Не верно задан день начала
            {elseif $iArchive.error == 'invalid day_stop'}
              Не верно задан день конца
            {elseif $iArchive.error == 'invalid origin_name'}
              Нет строки с названием
            {elseif $iArchive.error == 'invalid description'}
              Нет строки с описанием
            {elseif $iArchive.error == 'invalid user_login'}
              Не нашли пользователя, кто создал архив
            {elseif $iArchive.error == 'invalid interprise'}
              Не нашли общую информацию о пользователе
            {elseif $iArchive.error == 'invalid date_create'}
              Не нашли дату создания
            {elseif $iArchive.error == 'invalid count_mdh'}
              Не нашли данных в архиве
            {elseif $iArchive.error == 'invalid delimiter'}
              Не нашли данные о разделителе полей  
            {elseif $iArchive.error == 'invalid enclosure'}
              Не нашли данные о разделителе строковых значений
            {/if}
          </b> </div>
          
        {/if}
          
          
        </div>
    </div>
    
</div>