{extends file="layout/meter.layout.tpl"}
{block name="content"}
  
  <div class="row">
      <div class="col-lg-12">
          <h1 class="page-header">
            {if isset( $oMeter )}
              {$Site->Config('ru.edit')} {include file="meter/helpers/block_name.tpl" oMeter=$oMeter}
            {elseif isset($oConverter)}
              {$Site->Config('ru.meter.addendum')} {include file="converter/helpers/block_name.tpl" oConverter=$oConverter}
            {/if}
          </h1>
          
          <ol class="breadcrumb">
            <li><a href="/">Главная</a></li>
            {if isset($oConverter)}
              <li><a href="/converter/">{#converter#}</a></li>
              <li>
                {include file="converter/helpers/block_name.tpl" oConverter=$oConverter}
              </li>
            {elseif isset($oMeter)}
              <li><a href="{$oMeter->Converter->Link}">{$oMeter->Converter->Title|escape}</a></li>
            {/if}
            <li class="active">
              {if isset( $oMeter )}
                Редактирование {$oMeter->Title|escape}
              {else}
                Добавление прибора учета
              {/if}
            </li>
          </ol>
          
      </div>
  </div>
  
  
  <div class="row">
    <div class="col-lg-12">
      <form method="post" role="form">
        {include file="meter/helpers/add_edit_form.tpl"}
        <button type="submit" class="btn btn-default">{$Site->Config('ru.add')}</button>
      </form>
    </div>
</div>
{/block}
