{assign var="not_require" value=true}
{extends file="layout/meter.layout.tpl"}
{block name="content"}


	<h1 class="page-header">
    Приборы учета 
  </h1>

  <ol class="breadcrumb">
            <li><a href="/">Главная</a></li>
            <li class="active">{$Site->Config('ru.item_menu_meters')}</li>
          </ol>

 
	<div class="row">
			
		<div class="col-lg-9">

			<div class="panel panel-default">
	      <div class="panel-heading">
	        Фильтр
	      </div>
	      <div class="panel-body">

	      	<div class="row">
				      		<div class="col-lg-8">
							
												<div class="list-group">
								                По типу прибора
										            <div class="list-group" id="metertypes_change_container"></div>
										            <div class="panel-footer">
										                <select class="form-control" id="metertype_container">
										                	{foreach from=$Site->MetertypesFromMeterPage->Elements item=iMetertype}
										                		<option value="{$iMetertype->Id}">{$iMetertype->Title}</option>
										                	{/foreach}
										                </select>
										            </div>
								        </div>

						      </div>
	      					<div class="col-lg-4">


								        <div class="list-group">
								            <div class="">
								                По статусу
								            </div>
								            <div class="list-group" id="is_ok_container">
								                <span class="list-group-item">
								                    Исправен
								                    <input type="checkbox" value="1" class="pull-right" checked/>
								                </span>
								                <span class="list-group-item">
								                    С проблемами
								                    <input type="checkbox" value="0" class="pull-right" checked/>
								                </span>
								            </div>

								    </div>

			 						</div>

						</div>
				</div>
			</div>

		</div>
		<div class="col-lg-3">
			<div class="panel panel-default">
	      <div class="panel-heading">
	        Действия
	      </div>
	      <div class="list-group" id="actions_meters"></div>
			</div>
		</div>
	</div>

	<script type="text/template" id="actions_meters_tpl">
		<a href="#" id="delete_meters" class="list-group-item<% if( meters.length == 0 ){ %> disabled <% } %>">
        Удалить
    </a>
    <a href="#" id="excluded_meters" class="list-group-item<% if( meters.length == 0 ){ %> disabled <% } %>">
        Исключить
    </a>
	</script>

	<div class="row">
			
			<div class="col-lg-12 table-responsive">
				
				<table class="table" id="meters">
						<thead>
								<tr>
										<th><input type="checkbox" id="check_all"/></th>
										<th></th>
										<th></th>
										<th></th>
										<th>{$Site->Config('ru.meter.title')}</th>
										<th>{$Site->Config('ru.meter.type')}</th>
										<th>{$Site->Config('ru.meter.converterid')}</th>
										<th>{$Site->Config('ru.meter.num_serial')}</th>
										<th>{$Site->Config('ru.meter.num485')}</th>
										<th>{$Site->Config('ru.meter.is_ok_title')}</th>
										<th>{$Site->Config('ru.meter.is_excluded_title')}</th>
								</tr>
						</thead>
						<tbody>
						</tbody>
						<tfoot>
							<tr>
								<td class="action" colspan="100">
			            <a href="#" id="converter_add_meter" class="fa fa-plus-circle"></a>
			          </td>
							</tr>
						</tfoot>
				</table>
			</div>
	</div>

	<div class="row">
	    <div class="col-lg-12" id="pagination"></div>
	  </div>

	<script type="text/template" id="pagination_tpl">
		<% if( pages.length > 1 ){ %>
		<ul class="pagination paginator_pages">
			<% _.each( pages , function( page , i ){ %>
				<li <% if( active_page == page || i > pages.length - 1){ %>class="active"<%}%>><a href="#"><%= page %></a></li> 
			<% }) %>
    </ul>
    <% } %>
    <ul class="pagination paginator_counter pull-right">
      <li class="disabled">
        <a>Показывать по :</a>
      </li>
      <!-- <li><a href="?page=1&amp;count=all">Все</a></li> -->
      <li <% if( active_count == "10" ){ %>class="active"<% } %>><a href="#">10</a></li>
	    <li <% if( active_count == "50" ){ %>class="active"<% } %>><a href="#">50</a></li>
	    <li <% if( active_count == "100" ){ %>class="active"<% } %>><a href="#">100</a></li>
	    <li <% if( active_count == "500" ){ %>class="active"<% } %>><a href="#">500</a></li>
	    <li <% if( active_count == "1000" ){ %>class="active"<% } %>><a href="#">1000</a></li>
	    <li <% if( active_count == "all" ){ %>class="active"<% } %>><a href="#">Все</a></li>
    </ul>
	</script>

	<script type="text/template" id="metertypes_change_container_tpl">
		<% _.each( selected , function( s ){ %>
			<span class="list-group-item" data-id="<%= s.get('id') %>">
	        <%= s.get('title') %>
	        <a href="#" class="pull-right fa fa-times text-danger"></a>
	    </span>
		<% }) %>
	</script>

	<script type="text/template" id="metertype_container_tpl">
		<option>--Добавить в фильтр--</option>
		<% _.each( selected , function( s ){ %>
			<option value="<%= s.get('id') %>"><%= s.get('title') %></option>
		<% }) %>
	</script>

	<script type="text/template" id="meters_tpl">
		<% _.each( meters , function( meter ){ %>
			<tr id="<%= meter.cid %>">
				<td><input type="checkbox" value="<%= meter.get('id') %>"/></td>
				<td><i class="fa fa-copy pull-right" style="vertical-align:top;cursor:pointer;"></i></td>
				<td><i class="fa fa-times pull-right" style="vertical-align:top;cursor:pointer;"></i></td>
				<td><i class="fa fa-pencil pull-right" style="vertical-align:top;cursor:pointer;"></i></td>
				<td>
					<i class="fa fa-flash fa-fw <% if( meter.get('is_ok') == 1 ){ %>text-success<% }else{ %>text-danger<%} %>"></i>
					<a href="/meter/<%= meter.escape('id') %>/"><%= meter.escape('about') %></a>
				</td>
				<td><%= meter.get('model_title') ? meter.get('model_title') : meter.get('meter_type_title') %></td>
				<td>
					<a href="/converter/<%= meter.escape('converter') %>/">
						<i class="glyphicon glyphicon-transfer fa-fw <% if( meter.get('meter_ok') == 1 ){ %>text-success<% }else{ %>text-danger<%} %>"></i>
						<%= meter.escape('converter_about') %>
					</a>
				</td>
				<td><%= meter.escape('num_serial') %></td>
				<td><%= meter.escape('num_485') %></td>
				<td><% if( Number(meter.escape('is_ok')) == 1 ){ %>Исправен<% }else{ %>Есть проблемы<% } %></td>
				<td>
					{literal}
					<% if( Number( meter.escape('is_excluded'))){ %> Исключен <% }else{ %>Не исключен<% } %>
					{/literal}</td>
			</tr>
		<% }) %>
	</script>


	<script id="device_delete_modal" type="text/template">
	  <div class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
	      <div class="modal-dialog danger">
	          <div class="modal-content">
	              <div class="modal-header" style="    background-color: #d9534f;
	    color: #fff;
	    border-radius: 5px 5px 0 0;">
	                  <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	                  <h4 class="modal-title">
	                   Вы уверены, что хотите удалить  ?
	                  </h4>
	              </div>
	              <div class="modal-footer">
	                  <button type="button" class="btn btn-default" data-dismiss="modal">
	                    Закрыть
	                  </button>
	                  <button type="button" class="btn btn-danger" id="delete">
	                    Удалить
	                  </button>
	              </div>
	          </div>
	      </div>
	  </div>
	</script>

	<script type="text/template" id="meter_edit_add">
		<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
	    <div class="modal-dialog">
	        <div class="modal-content">
	            <div class="modal-header">
	                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	                <h4 class="modal-title" id="myModalLabel">
	                  Редактирование<i class="text-danger fa fa-flash"></i>
	                </h4>
	            </div>
	            <div class="modal-body">
	              <div class="row">
			  					<div class="col-lg-12" id="main_meter_set">
			  
								    <form name="mf" action="" method="post" enctype="multipart/form-data">
								      <input name="REF" type="hidden" value="/" />
								      <input name="form" type="hidden" value="meter" />
								      <input name="TypeId" type="hidden" value="0" />
								      <input name="Id" type="hidden" value="" />   


						          <div class="form-group ">
					              <label class="control-label">Точки опроса</label>
					              <select  size="1" name="ConverterId" class="form-control" id="converter_select">
							      				<option value="0">- Выбор -</option>
							      				{foreach from=$Site->Converters->Elements item=iConverter}
							      					<option value="{$iConverter->Id}" 
							      						{literal}<% if( Number(meter.get('converter')) == {/literal}{$iConverter->Id}{literal} ){%>selected<%}%>{/literal}>
							      						{$iConverter->Title}
							      					</option>
							      				{/foreach}
							    				</select>
						          </div>  
			      
			          		<div class="form-group">
						          <label class="control-label">
						            {$Site->Config('ru.meter.typeid','Тип прибора опроса')}<sup>*</sup>
						          </label>
						          <select name="Model" class="form-control" id="model">
						              {* Надо получить все ссмежные мождели и всреди них выбирать *}
						              {foreach from=$Site->GetMarkAll()->Elements item=iMark}
						              	<% var in_group = [{foreach from=$iMark->Models->Elements item=iModel}{$iModel->Id},{/foreach}] %>
						                <optgroup label="{$iMark->Title}" <% if( meter.get('id') > 0 && in_group.indexOf(Number(meter.get('model'))) == -1 ){literal}{ %> disabled <% }{/literal} %>>
						                  {foreach from=$iMark->Models->Elements item=iModel}
						                  	<option value="{$iModel->Id}"  
						                  		<% if( Number(meter.get('model')) == {$iModel->Id}{literal} ){ %> selected <%} %>{/literal}>{$iModel->Title}</option>
						                  {/foreach}
						                </optgroup>
						              {/foreach}
						            </select>
						        </div>
				                    
						          <div class=" form-group ">
						            <label class="control-label">Название<sup>*</sup></label>
						            <input 
						              class="form-control" 
						              type="text" 
						              name="About" 
						              value="<%= meter.get('about') %>"
						              data-validation="length" data-validation-length="1-255" data-validation-error-msg="Поле не должно быть пустым"/>
						          </div>  
						          <div class=" form-group ">
						            <label class="control-label">Серийный номер устройства<sup>*</sup></label>
						            <input 
						              class="form-control" 
						              type="text" 
						              name="NumSerial" 
						              value="<%= meter.get('num_serial') %>" 
						              data-validation="length" data-validation-length="1-255" data-validation-error-msg="Вы не указали серийный номер"/>
						          </div>  
			          
			          
	                    <div class="form-group ">
						            <label class="control-label">Номер на шине<sup>*</sup></label>
						            <input 
						              class="form-control" 
						              type="text" 
						              name="Num485" 
						              value="<%= meter.get('num_485') %>" data-validation="length" data-validation-length="1-255" data-validation-error-msg="Не верный номер на шине"/>
						          </div>  
			          
									    <a class="more_settings_controller">
									      Расширенные настройки <i class="fa-chevron-circle-down fa fa-wf"></i> 
									    </a>
			    
									    <div class="more_settings hide">
							          <div class=" form-group ">
						              <label class="control-label">Пароль для доступа</label>
							            <input 
							              class="form-control" 
							              type="text" 
							              name="Password" 
							              value="<%= meter.get('password') %>" />
							          </div>  
							          <div class=" form-group ">
							            <label class="control-label">Коэффициент учета</label>
							            <input 
							              class="form-control" 
							              type="text" 
							              name="Coef" 
							              value="<%= meter.get('coef') %>" />
							          </div>  
							          <div class=" form-group ">
							            <label class="control-label">Часовой пояс</label>
													<select  size="1" name="TimezoneId" class="form-control">
							      				<option value="0">- Выбор -</option>
														{foreach from=$Site->Timezones->Elements item=iTimezone}
									          <option value="{$iTimezone->Id}" {literal}<% if( Number(meter.get('timezone_id')) == {/literal}{$iTimezone->Id}{literal} ){%>selected<%}%>{/literal}>{$iTimezone->Title}</option>
							      				{/foreach}
							    				</select>
							          </div>  

								        <label class="control-label">Дата первичной поверки</label>
								        <div class="form-group">
								            <input type="date" name="DateFirstVerification" class="form-control" 
								            value="<%= meter.escape('first_date_verification') %>" 
								            pattern="[0-9]4-[0-9]2-[0-9]2">
								        </div>

								        <label class="control-label">Интервал поверок (мес)</label>
								        <div class="form-group">
								          <input type="number" name="DateVerificationInterval" class="form-control" 
								          value="<%= meter.escape('interval_verification') %>" 
								          >
								        </div>


								        <label class="control-label">Номер пломбы</label>
								        <div class="form-group">
								          <input type="number" name="NumberPlomb" class="form-control" 
								          value="<%= meter.escape('number_plomb') %>" 
								          >
								        </div>

							          <div class=" form-group ">
						              <label class="control-label">Исключено из опроса</label>
						            	<label class="label toggle">
		                        <input 
		                          type="checkbox" 
		                          class="toggle_input" 
		                          id="IsExcluded" 
		                          name="IsExcluded"
		                          value="1" />
		                        <div class="toggle-control"></div>
		                      </label>
		                    </div>  
							                    
									                    
									        
									    </div>
			      					<p class="text-warning"></p>
			    					</form>
			    
			  					</div>
			  					<div class="col-lg-6" id="helper_add_meter" style="display:none;"></div>
								</div>
			        </div>
			        <div class="modal-footer">
	              <button type="button" class="btn btn-default" data-dismiss="modal">
	                Закрыть
	              </button>
	              <button type="button" class="btn btn-success" id="save_meter">
	                Сохранить
	              </button>
			        </div>
			      </div>
			    </div>
			</div>
	</script>

	<script type="text/javascript" src="/js/core/cookie.js"></script>
	<script type="text/javascript" src="/js2/meters.js"></script>

{/block}
