{function name=menu level=0}
  <ul>
    {foreach from=$data->GroupBy(100)->Elements item="iPlaceGroup"}
      {foreach from=$iPlaceGroup->Elements item="iPlace"}
        <li data-place_id="{$iPlace->Id}">
          
          {if $iPlace->Id == $oPlace->Id}
            <i class="fa fa-caret-right text-danger"></i>
          {/if}
          
          {include file="place/helpers/block_name.tpl" oPlace=$iPlace}
          
          {if $iPlace->Children->Count}
          {menu data=$iPlace->Children}
          {/if}
        </li>
      {/foreach}
      {$iPlaceGroup->ElementsFreeMem}
    {/foreach}
  </ul>
{/function}

<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabel">
                  {$Site->Config('ru.place.view_tree')}
                  {include file="place/helpers/block_name.tpl"}
                </h4>
            </div>
            <div class="modal-body">
              <div class="tree">
              <ul>
              <li>
                {if !$oPlace->Is}
                  <i class="fa fa-caret-right text-danger"></i>
                {/if}
                {if !isset($empty)}
                  {include file="place/helpers/block_name.tpl"}
                  {menu data=$oPlaceParent->Children}
                {/if}
                </li>
              </ul>
              </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">
                  {$Site->Config('ru.sys.close')}
                </button>
            </div>
        </div>
    </div>
    <!-- /.modal-dialog -->
</div>
