var CONVERTER_LIST_VIEW = Backbone.View.extend({

  collection : new CONVERTERS,

  el : "#converter_list",

  template : "#converter_list_tpl",

  initialize : function( collection_ ){
    this.collection = collection_
    this.listenTo( this.collection , "sync" , this.render )
    this.render()
  },


  render : function(){
    var tpl_c = _.template( $(this.template).html() )
    $(this.$el).empty().append( tpl_c({

      converters : this.collection

    }) )
  },

  events : {

    "click #add_converter_modal" : function(){
      new CONVERTER_MODAL_EDIT_VIEW
    }

  }

})