{assign var="not_require" value=true}
{extends file="layout/filter.layout.tpl"}
{block name="content"}
  <div class="row">
      <div class="col-lg-12">
          <h1 class="page-header">{$Site->Config('ru.filter')}</h1>
          
          <ol class="breadcrumb">
            <li><a href="/">{$Site->Config('ru.sys.main_page')}</a></li>
            <li class="active">{$Site->Config('ru.filter')}</li>
          </ol>
          
      </div>
  </div>
          
          {include file="filter/helpers/tabs.tpl" active='f80020'}
  
          <br>
  
          <div class="panel panel-default">
    
    <div class="panel-heading">
      Формирование параметров
    </div>
    
    <div class="panel-body">
          
          
        <div class="row" id="filter_panel">

          <div class="col-lg-12">


                    <div class="form-group">
                        <label>Объекты отчета</label>
                        <select id="type_object" class="form-control">
                          <option value="place">Объекты</option>
                          <option value="meter">Приборы учета</option>
                        </select>
                    </div>

                  <div class="row">
                    <div class="col-lg-12">
                      <div class="form-group">
                          <label>Дата</label>
                          <input class="form-control" type="date" id="date_start" value="{$Site->GetTimeServerMonthDown()->format("Y-m-d")}"/> 
                      </div>
                    </div>
                  </div>

                    <div class="form-group">
                      <div id="tree_map" style="    background: #fff;
                      margin: 0 0 23px;
                      overflow: auto;"></div>
                    </div>

                       <div class="row">
                    <div class="col-lg-12">

                    <button type="button" class="btn btn-success" id="send">Выгрузить отчет</button>

                    </div>
                  </div>

          </div>



        </div>
                
      </div>
    </div>
                    
  <div id="hidden_form" style="display: none;"></div>
  
  <script type="text/template" id="hidden_form_tpl">
    <form action="/reports/80020/" type="POST">
      <input name="object" style="display:none;" value="<%= res.type %>"/>
      <input name="ids" style="display:none;" value="<%= res.ids %>"/>
      <input name="start_date" style="display:none;" value="<%= res.date_start %>"/>
    </form>
  </script>
                    
  <script src="/js2/core/jstree.js" type="text/javascript"></script>
  <script src="/js2/core/underscore.js" type="text/javascript"></script>
  <script src="/js2/core/backbone.js" type="text/javascript"></script>
  <script src="/js2/core/bootstrap.js" type="text/javascript"></script>
  <script src="/js2/views/filter/80020.js" type="text/javascript"></script>
{/block}
