<div class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title">
          Добавление базовой станции
        </h4>
      </div>
      <div class="modal-body">

        <div class="row">

          <div class="col-lg-7">
            <div class="form-group">
              <label id="Gateway_ID_label">Gateway ID*</label>
              <input id="Gateway_ID_input" type="text" class="form-control" placeholder="Gateway ID" title="Gateway ID"  
              value="<%= gataway.get('gatewayId') %>" 
              maxlength="16">
            </div>
          </div>
          <div class="col-lg-5">

            <div class="form-group">
              <label>TX channel</label>
              <select id="downlinkChannel" class="form-control" placeholder="TX channel" title="TX channel">
                <% _.each( _.range( 0, 10 , 1 ) , function( num ){ %>
                <option value="<%= num %>"
                  <% if( gataway.get('downlinkChannel') == num ){ %>selected<% } %>
                  ><%= num %></option>
                  <% }) %>
                </select>
              </div>
            </div>

          </div>

          <div class="form-group">
            <label>Transmit power</label>
            <input type="text" id="maxPower" class="form-control" placeholder="Transmit power" title="Transmit power"  
            value="<%= gataway.get('maxPower') %>"
            maxlength="16">
          </div>


          <div class="row">

            <div class="col-lg-3">
              <div class="form-group ">
                <label class="control-label">RX only</label>
                <label class="label toggle">
                  <input type="checkbox" class="toggle_input" id="rxOnly"
                  <% if( gataway.get('rxOnly') ){ %> checked <% } %>
                  >
                  <div class="toggle-control"></div>
                </label>
              </div>
            </div>

            <div class="col-lg-9">
              <div class="form-group">
                <label>Companion Gateway</label>
                <input type="text" id="companionGateway" class="form-control" placeholder="Companion Gateway ID" title="Companion Gateway" 
                <% if( !gataway.get('rxOnly') ){ %> disabled <% } %> 
                value="<%= gataway.get('companionGateway') %>"
                maxlength="16">
              </div>
            </div>

          </div>

          <div class="form-group">
            <label>Comment</label>
            <textarea class="form-control" id="extraInfo" placeholder="Comment" title="Comment"
            value="<%= gataway.get('extraInfo') %>"
            ><%= gataway.get('extraInfo') %></textarea>
          </div>


          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">
              Закрыть
            </button>
            <button type="button" class="btn btn-disabled" id="save">
              Сохранить
            </button>
          </div>
        </div>
      </div>
    </div>