{if $oMeter->IsLora}
  {assign var=layout value="layout/lora.layout.tpl"}
{else}
  {assign var=layout value="layout/meter.layout.tpl"}
{/if}
{extends file=$layout}
{block name="content"}
  <div class="row">
      <div class="col-lg-12">
          <h1 class="page-header">
            Прибор учета <span class="container_h1_meter">{$oMeter->Title|escape}</span> 
            {include file="helpers/log_btn.tpl" oObject=$oMeter}
          </h1>
          
          
          <ol class="breadcrumb">
            <li><a href="/">Главная</a></li>
            <li>
              {include file="converter/helpers/block_name.tpl" oConverter=$oMeter->Converter}
            </li>
            <li class="active">{$oMeter->Title|escape}</li>
          </ol>
          
      </div>
  </div>
  
  {include file="meter/helpers/main_info.tpl"}
  
  {include file="meter/helpers/tabs.tpl" Active_tab="values"}
  
  <br>
  <div class="row">
    <div class="col-lg-12">
      {include file="meter/helpers/navigation_date.tpl"}
      <div class="panel panel-default">
        <div class="panel-heading">
          Данные
          {if $Self->isAdmin}
            {include file="meter/helpers/edit_table_data_parameters.tpl"}
          {/if}
        </div>
        <div class="panel-body" id="meter_data">
          {include file="meter/helpers/data.tpl"}
        </div>
      </div>
    </div>
  </div>
{/block}
