<?php
  
  ini_set('memory_limit', Site()->Config('memmory_reports' , 1024) . 'M');

  
  $ViewPageIsset = 9999999999999;
  $ThisPage = 1;
  
  $GLOBALS['Report'] = true;
  $GLOBALS['IsNumberFormat'] = false;

  require_once( $_SERVER['DOCUMENT_ROOT'].'/include/PHPExcel.php' );
  

  $cacheSettings = array( 'memoryCacheSize' => "1024M");

  
  PHPExcel_Settings::setCacheStorageMethod(PHPExcel_CachedObjectStorageFactory::cache_to_phpTemp,$cacheSettings);

  $objPHPExcel = new PHPExcel();
	
	$Worksheet = $objPHPExcel->getActiveSheet();
	$WorksheetLine = 1;
	$ColumnNum = 0;
	
	$Size = array(
	  ( 12 * 1.3),
	  ( 10 * 1.3),
	  ( 8  * 1.3),
	  ( 18 * 1.3),
	);
	
  $Worksheet->setCellValueByColumnAndRow( $ColumnNum++, $WorksheetLine, 'Расположение' );
  $Worksheet->setCellValueByColumnAndRow( $ColumnNum++, $WorksheetLine, 'Название' );
  $Worksheet->setCellValueByColumnAndRow( $ColumnNum++, $WorksheetLine, 'Серийный номер' );
	$Worksheet->setCellValueByColumnAndRow( $ColumnNum++, $WorksheetLine, 'Коэф. учета' );
  
  foreach($parameters->Elements as $iParam){
    $Worksheet->setCellValueByColumnAndRow( $ColumnNum++, $WorksheetLine, $iParam->Title );
    $Size[] = strlen($iParam->Title);
    if( $iParam->UseCoef ){
  		$Worksheet->setCellValueByColumnAndRow( $ColumnNum++, $WorksheetLine, $iParam->Title . "*" );
    }
	}
	$WorksheetLine++;
  



///////// BODY ////////////////
  
  
  $constSTRING = PHPExcel_Cell_DataType::TYPE_STRING;
  
  foreach( $Places->Elements as $oPlace){
    $ColumnNum = 0;
    foreach( $oPlace->GetMeterPlaceByPage()->Elements as $iMeterPlace ){
      
//      echo memory_get_usage() / 1024 / 1024 ."<br>\n";
      
      $iMeter = $iMeterPlace['Meter'];
      $iPlace = $iMeterPlace['Place'];
      $ColumnNum = 0;
      $Worksheet->setCellValueByColumnAndRow( $ColumnNum++, $WorksheetLine, $iPlace->PathToUpString( " / " ) );
      $Worksheet->setCellValueExplicitByColumnAndRow( $ColumnNum++, $WorksheetLine, $iMeter->Title , $constSTRING );
      $Worksheet->setCellValueExplicitByColumnAndRow( $ColumnNum++, $WorksheetLine, $iMeter->NumSerial , $constSTRING );
      $Worksheet->setCellValueByColumnAndRow( $ColumnNum++, $WorksheetLine, $iMeter->Coef );

      foreach( $oPlace->ActiveParametersData->Elements as $iParameter ){
        $MDH = $oPlace->GetArchive($iParameter,$iMeter);

        smarty()->assign('oMDH' , $MDH);
        smarty()->assign('usingCoef' , false);

        $Worksheet->setCellValueByColumnAndRow( $ColumnNum++, $WorksheetLine, trim( smarty()->fetch('meterdatahour/helpers/report.tpl') ) );
        if( $iParameter->UseCoef ){
          smarty()->assign('usingCoef' , true);
          $Worksheet->setCellValueByColumnAndRow( $ColumnNum++, $WorksheetLine, trim( smarty()->fetch('meterdatahour/helpers/report.tpl') ) );
        }
        $MDH->__destruct();
      }
      $WorksheetLine++;
    }
    $WorksheetLine++;
  }

  
  
  
  
  
  
  $objPHPExcel->getDefaultStyle()->getBorders()->getTop()   ->setBorderStyle( PHPExcel_Style_Border::BORDER_NONE );
	$objPHPExcel->getDefaultStyle()->getBorders()->getBottom()->setBorderStyle( PHPExcel_Style_Border::BORDER_NONE );
	$objPHPExcel->getDefaultStyle()->getBorders()->getLeft()  ->setBorderStyle( PHPExcel_Style_Border::BORDER_NONE );
	$objPHPExcel->getDefaultStyle()->getBorders()->getRight() ->setBorderStyle( PHPExcel_Style_Border::BORDER_NONE );
	$objPHPExcel->getDefaultStyle()->getFont()->setName( 'Arial' );
	$objPHPExcel->getDefaultStyle()->getFont()->setSize( 8 ); 
	
	foreach (range('A', 'Z') as $char) {
      $objPHPExcel->getActiveSheet()->getColumnDimension($char)->setAutoSize(true);
  }
  
  foreach (range('A', 'Z') as $char) {
    foreach (range('A', 'Z') as $char2) {
        $objPHPExcel->getActiveSheet()->getColumnDimension($char.$char2)->setAutoSize(true);
    }
  }
	@header( 'Expires: Mon, 26 Jul 1997 05:00:00 GMT' );
  @header( 'Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT' );
  @header( "Cache-Control: no-store, no-cache, must-revalidate" );
  @header( 'Pragma: public' );
  $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5' );
  
// $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'CSV' );
//     $objWriter->setDelimiter(";"); 


  $objWriter->save('php://output');