var GATAWAYS_LIST = Backbone.View.extend({

  el :"#gataways_list",

  template : "#gataways_list_tpl",

  initialize : function( gataways ,base_station ){

    this.collection = gataways
    this.base_station = base_station
    this.listenTo( this.collection , "all" , this.render )
    this.render()

  },

  render : function(){
    var tpl_c = _.template( $(this.template).html() )
    $(this.$el).empty().append( tpl_c({
      gataways_list : this.collection
    }) )
  },

  events : {
    "click .edit_gataway" : function( e ){
      var cid = $(e.target).closest('tr').attr('id')
      var model = this.collection.get( cid )
      if( typeof model != "undefined" ){
        new GATAWAY_MODAL_EDIT( model , this.base_station )
        return false
      }
    },
    "click .delete_gataway" : function( e ){
      var cid = $(e.target).closest('tr').attr('id')
      var model = this.collection.get( cid )
      if( typeof model != "undefined" ){
        new GATAWAY_MODAL_DELETE( model , this.base_station )
        return false
      }
    },
    "click #lora_add_gataway" : function( e ){
      new GATAWAY_MODAL_EDIT( new GATAWAY_MODEL , this.base_station )
      return false
    }
  }

})