var METER_MODAL_DELETE = Backbone.View.extend({

  template : "#modal_delete_tpl",

  // Флаг что прибор удален из лора сервера
  is_delete_lora : false,

  // Флаг что прибор удален из БД
  is_delete_db : false,

  initialize : function( _model , _collection  ){
    this.model = _model
    this.collection = _collection
    this.render()
  },

  render : function(){
    var tpl_c = _.template( $(this.template).html() )
    this.$el = $( tpl_c() ).modal('show')

    $(this.$el).on('hidden.bs.modal' , function(){
      $(this).remove();
    })

  },

  events : {
    "click #delete" : function(){
      var self = this;
      this.model.destroy({ success : function(){
        self.collection.fetch()
        $(self.$el).modal('hide')
      }})
    }

  }

})