var METER_LIST_VIEW = Backbone.View.extend({

  el : "#meters",

  template : "#meters_tpl",

  collection : new METERS,

  initialize : function( collection_ , mark_collection_ , models_collection_ ){

    this.collection = collection_
    this.mark_collection = mark_collection_
    this.models_collection = models_collection_
    this.listenTo( this.collection , "sync" , this.render )
    this.render()


  },

  render : function(){
    var tpl_c = _.template( $(this.template).html() )
    $(this.$el).empty().append( tpl_c({

      meters : this.collection.toArray()

    }) )
  },

  events : {

    "click .edit_meter" : function( e ){
      var model = this.collection.get($(e.target).closest('tr').attr('id')) 
      if( typeof model == "undefined" ){
        return 
      }
      new METER_MODAL_EDIT_VIEW( model , this.collection , this.mark_collection , this.models_collection )
      return false;
    },

    "click #converter_add_meter" : function( e ){
      new METER_MODAL_EDIT_VIEW( new METER_MODEL , this.collection , this.mark_collection , this.models_collection )
      return false;
    }

  }

})